<template lang="pug">
section(v-if='photos.length')
  h5.mb-20 Прикрепленные изображения:
  .attached-images
    article.attached-images__item(
      v-for='(photo, index) in photos'
      :key="photo")
      button.attached-images__button(
        type="button"
        @click="dialogPhotoView(index)")
        img.attached-images__photo(:src="photo")

      el-button.attached-images__delete-button(
        type="danger"
        icon="el-icon-delete"
        @click="dialogDeletePhotoView(index)"
        circle)

  el-dialog(
    :visible.sync='dialogVisible')
    img(width='100%', :src='dialogImageUrl', alt='')

  el-dialog(
    title='Удаление картинки'
    :visible.sync='dialogDeleteVisible')

    div(v-loading='deleteLoading')
      span.text-item Вы действительно хотите удалить&nbsp;
        span.h5.el-dialog__name-error {{dialogDeleteImageUrl.split('/')[dialogDeleteImageUrl.split('/').length - 1]}}
        |?
      .preview-img
        img(width='50%', :src='dialogDeleteImageUrl', alt='')

    span.dialog-footer(
      slot='footer')
      el-button.button(
        type='info'
        @click='dialogDeleteVisible = false'
        size='medium'
        round) Отмена
      el-button.button(
        type='danger'
        @click='deleteItemImage()'
        size='medium'
        round) Да, удалить
</template>

<script>
export default {
  name: 'EditorImages',
  props: {
    photos: {
      type: Array,
      required: true
    },
    deleteLoading: {
      type: Boolean,
      required: false,
      default: false
    },
    dialogImageVisible: {
      type: Boolean,
      required: false,
      default: false
    }
  },
  data() {
    return {
      dialogVisible: false,
      dialogDeleteVisible: false,
      dialogDeleteImageUrl: '',
      dialogImageUrl: '',
      deleteImgIndex: null
    };
  },
  watch: {
    dialogDeleteVisible(value) {
      this.$emit('dialog-view', value);
    },
    dialogImageVisible(value) {
      if (!value) {
        this.dialogDeleteVisible = false;
      }
    }
  },
  methods: {
    dialogPhotoView(index) {
      this.dialogImageUrl = this.photos[index];
      this.dialogVisible = true;
    },
    dialogDeletePhotoView(index) {
      this.deleteImgIndex = index;
      this.dialogDeleteImageUrl = this.photos[index];
      this.dialogDeleteVisible = true;
    },
    deleteItemImage() {
      this.$emit('delete-image', this.deleteImgIndex);
    }
  }
};
</script>

<style scoped>
</style>
